------------------------------------------------------------------------------------
---- Company: 
---- Engineer: 
---- 
---- Create Date: 03/16/2017 03:39:22 PM
---- Design Name: 
---- Module Name: test_tb - Behavioral
---- Project Name: 
---- Target Devices: 
---- Tool Versions: 
---- Description: 
---- 
---- Dependencies: 
---- 
---- Revision:
---- Revision 0.01 - File Created
---- Additional Comments:
---- 
------------------------------------------------------------------------------------


--library IEEE;
--use IEEE.STD_LOGIC_1164.ALL;
--use IEEE.Numeric_std.ALL;
--library UNISIM;
--use UNISIM.VCOMPONENTS.ALL;


---- Uncomment the following library declaration if using
---- arithmetic functions with Signed or Unsigned values
----use IEEE.NUMERIC_STD.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx leaf cells in this code.
----library UNISIM;
----use UNISIM.VComponents.all;

--entity tb is
----  Port ( );
----  port (
----  En : in STD_LOGIC;
----  M_AXIS_tdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
----  M_AXIS_tlast : out STD_LOGIC;
----  M_AXIS_tready : in STD_LOGIC;
----  M_AXIS_tstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
----  M_AXIS_tvalid : out STD_LOGIC;
----  S_AXI_tdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
----  S_AXI_tlast : in STD_LOGIC;
----  S_AXI_tready : out STD_LOGIC;
----  S_AXI_tstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
----  S_AXI_tvalid : in STD_LOGIC;
----  s_axi_aclk : in STD_LOGIC;
----  s_axi_aresetn : in STD_LOGIC
----);

--end tb;

--architecture Behavioral of tb is
-- component AXI_sys_wrapper is
-- port (
--     En : in STD_LOGIC;
--     FrameSize : in STD_LOGIC_VECTOR ( 31 downto 0 );
--     M_AXIS_tdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
--     M_AXIS_tlast : out STD_LOGIC;
--     M_AXIS_tready : in STD_LOGIC;
--     M_AXIS_tstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
--     M_AXIS_tvalid : out STD_LOGIC;
--     S_AXIS_tdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
--     S_AXIS_tlast : in STD_LOGIC;
--     S_AXIS_tready : out STD_LOGIC;
--     S_AXIS_tstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
--     S_AXIS_tvalid : in STD_LOGIC;
--     m_axis_aclk : in STD_LOGIC;
--     m_axis_aresetn : in STD_LOGIC
-- );
-- end component AXI_sys_wrapper;
 
--    signal En : STD_LOGIC;
--    signal FrameSize : STD_LOGIC_VECTOR ( 31 downto 0 ) := (others => '0');
--    signal M_AXIS_tdata : STD_LOGIC_VECTOR ( 31 downto 0 );
--    signal M_AXIS_tlast : STD_LOGIC;
--    signal M_AXIS_tvalid : STD_LOGIC;
--    signal M_AXIS_tready : STD_LOGIC;
--    signal M_AXIS_tstrb : STD_LOGIC_VECTOR ( 3 downto 0 );
--    signal S_AXIS_tdata :  STD_LOGIC_VECTOR ( 31 downto 0 )  :=( others => '1');
--    signal S_AXIS_tstrb :  STD_LOGIC_VECTOR ( 3 downto 0 );
--    signal S_AXIS_tlast :  STD_LOGIC;
--    signal S_AXIS_tvalid :  STD_LOGIC;
--    signal S_AXIS_tready : STD_LOGIC;
--    signal m_axis_aclk : STD_LOGIC;
--    signal m_axis_aresetn : STD_LOGIC;
----    signal s_axi_aclk : STD_LOGIC;  
----    signal s_axi_aresetn : STD_LOGIC;
    
--begin
----    M_AXIS_tdata( 31 downto 0 ) <= M_AXIS_tdata( 31 downto 0 );
--dut: component AXI_sys_wrapper
--     port map (
--      En => En,
--      FrameSize(31 downto 0) => FrameSize(31 downto 0),
--      M_AXIS_tdata(31 downto 0) => M_AXIS_tdata(31 downto 0),
--      M_AXIS_tlast => M_AXIS_tlast,
--      M_AXIS_tready => M_AXIS_tready,
--      M_AXIS_tstrb(3 downto 0) => M_AXIS_tstrb(3 downto 0),
--      M_AXIS_tvalid => M_AXIS_tvalid,
--      S_AXIS_tdata(31 downto 0) => S_AXIS_tdata(31 downto 0),
--      S_AXIS_tlast => S_AXIS_tlast,
--      S_AXIS_tready => S_AXIS_tready,
--      S_AXIS_tstrb(3 downto 0) => S_AXIS_tstrb(3 downto 0),
--      S_AXIS_tvalid => S_AXIS_tvalid,
----      s_axi_aclk => s_axi_aclk,
----      s_axi_aresetn => s_axi_aresetn
--        m_axis_aclk => m_axis_aclk,
--        m_axis_aresetn => m_axis_aresetn   
--    );
    
--    process
--    begin
--        m_axis_aclk <= '1';
--        wait for 5 ns;
--        m_axis_aclk <= '0';
--        wait for 5 ns;
--    end process;
    
--    process
--        begin
--        wait for 20 ns;
--        S_AXIS_tdata <= std_logic_vector(to_unsigned(to_integer(unsigned(S_AXIS_tdata)) + 1, 32 ));
--        FrameSize <= std_logic_vector(to_unsigned(to_integer(unsigned(FrameSize)) + 1, 32 ));
--    end process;
    
--    process
--    begin
--        En <= '1';
--        wait for 20 ns;
--        m_axis_aresetn <= '0'; 
--        M_AXIS_tvalid <= '1';
--        wait for 20 ns;
--        m_axis_aresetn <= '1';
----        M_AXIS_tready <= '1';
----        wait for 20 ns;
----        m_axis_aresetn <= '0';
--        wait for 40 ns;
--        M_AXIS_tready <= '1';
----        wait for 40 ns;
----        M_AXIS_tready <= '0';
--        wait for 200 ns;
--        En <= '0';
--        wait for 40 ns;
--        En <= '1';
--        m_axis_aresetn <= '1';
--        wait for 260 ns;
--    end process;
--end Behavioral;
